Microsimulation API

Public Member Functions | Public Attributes | List of all members
illnessDeath::SimplePerson Class Reference
Inheritance diagram for illnessDeath::SimplePerson:
[legend]
Collaboration diagram for illnessDeath::SimplePerson:
[legend]

## Public Member Functions
| SimplePerson (const int i=0)
void | init ()
virtual void | handleMessage (const cMessage *msg)
Public Member Functions inherited from ssim::cProcess
| cProcess (Time startTime=Time(0.0))
virtual void | process_event (const ssim::Event *e)
| action executed in response to an event signaled to this process. More...
virtual void | scheduleAt (Time t, cMessage *msg)
virtual void | scheduleAt (Time t, string s)
virtual void | scheduleAt (Time t, short k)
void | initialize ()
| action executed when the process is initialized. More...
Public Member Functions inherited from ssim::Process
virtual | ~Process ()
virtual void | stop (void)
| executed when the process is explicitly stopped. More...

## Public Attributes
state_t | state
int | id
double | z
Public Attributes inherited from ssim::cProcess
Time | startTime
Time | previousEventTime

## Detailed Description

Definition at line 21 of file illness-death.cpp.

## Constructor & Destructor Documentation

## ◆ SimplePerson()

illnessDeath::SimplePerson::SimplePerson | ( | const int | i = `0` | ) |
| inline

Definition at line 27 of file illness-death.cpp.

## Member Function Documentation

## ◆ handleMessage()

void illnessDeath::SimplePerson::handleMessage | ( | const cMessage * | msg | ) |
| virtual

Handle receiving self-messages

Implements ssim::cProcess.

Definition at line 46 of file illness-death.cpp.

## ◆ init()

void illnessDeath::SimplePerson::init | ( |  | ) |
| virtual

Initialise a simulation run for an individual

Implements ssim::cProcess.

Definition at line 35 of file illness-death.cpp.

## Member Data Documentation

## ◆ id

int illnessDeath::SimplePerson::id

Definition at line 25 of file illness-death.cpp.

## ◆ state

state_t illnessDeath::SimplePerson::state

Definition at line 24 of file illness-death.cpp.

## ◆ z

double illnessDeath::SimplePerson::z

Definition at line 26 of file illness-death.cpp.

The documentation for this class was generated from the following file:

- /home/marcle/src/R/microsimulation/src/illness-death.cpp